#! /bin/bash
#
# /etc/linuxmuster-client/maus/nachricht.sh
#
#  Version 0.7
#  19.4.2023
#####################################

for session in $(screen -ls | grep -o '[0-9]\+\.mausdaemon_nachricht')
do
  screen -S "${session}" -X quit
done

screen -d -m -S mausdaemon_nachricht
sleep 1
echo "screen session fuer Nachricht gestartet"
if [ -e "/etc/linuxmuster-maus/X11_last_user_display" ]; then
  dp=$(cat /etc/linuxmuster-maus/X11_last_user_display)
  if [[ $dp =~ ^:[0-3]$ ]]; then
    screen -S mausdaemon_nachricht -X stuff $"export DISPLAY=$dp\n"
  else
    screen -S mausdaemon_nachricht -X stuff $'export DISPLAY=:0\n'
  fi
else
  screen -S mausdaemon_nachricht -X stuff $'export DISPLAY=:0\n'
fi
screen -S mausdaemon_nachricht -X stuff $"/usr/bin/zenity --info --text '$1'\n"
screen -S mausdaemon_nachricht -X stuff $'exit\n'

exit 0

